> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Close a browser tab

> Close a specific browser tab identified by its id. This endpoint will permanently close the tab and free up the associated resources. After closing a tab, the ids of subsequent tabs may change.



## OpenAPI

````yaml delete /boxes/{boxId}/browser/tabs/{tabId}
openapi: 3.0.0
info:
  title: GBOX Open API
  description: GBOX Open API Documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://gbox.ai/api/v1
    description: Production Server
security: []
tags: []
paths:
  /boxes/{boxId}/browser/tabs/{tabId}:
    delete:
      tags:
        - Browser
      summary: Close a browser tab
      description: >-
        Close a specific browser tab identified by its id. This endpoint will
        permanently close the tab and free up the associated resources. After
        closing a tab, the ids of subsequent tabs may change.
      operationId: BrowserController_closeTab
      parameters:
        - name: boxId
          required: true
          in: path
          description: Box ID
          schema:
            example: c9bdc193-b54b-4ddb-a035-5ac0c598d32d
            type: string
        - name: tabId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Successfully closed the tab
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Tab 1 closed successfully
      security:
        - bearer: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import GboxSDK from "gbox-sdk";

            const gboxSDK = new GboxSDK({
              apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
            });

            async function main() {
              const box = await gboxSDK.create({ type: "linux" });

              // First, open some tabs
              console.info("Opening tabs...")
              await box.browser.openTab("https://gbox.ai")
              await box.browser.openTab("https://gru.ai")
              await box.browser.openTab("https://google.com")

              // List tabs
              const tabsResult = await box.browser.listTabs();
              console.log(`Found ${tabsResult.length} tabs`);

              // Close first tab
              const targetTab = tabsResult[0]
              await box.browser.closeTab(targetTab.data.id);
              console.info(`Closed ${targetTab.data.title} (${targetTab.data.url})`)

              
            }

            main();
        - lang: Python
          source: |-
            import os
            from gbox_sdk import GboxSDK

            def main():
                gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])

                box = gbox_sdk.create(type="linux")

                # First, open some tabs
                print("Opening tabs...")
                box.browser.open_tab("https://gbox.ai")
                box.browser.open_tab("https://gru.ai")
                box.browser.open_tab("https://google.com")

                # List tabs
                tabs_result = box.browser.list_tabs()
                print(f"Found {len(tabs_result)} tabs")

                # Close first tab
                target_tab = tabs_result[0]
                box.browser.close_tab(target_tab.data.id)
                print(f"Closed {target_tab.data.title} ({target_tab.data.url})")

            if __name__ == "__main__":
                main()
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\t\"log\"\n\t\"os\"\n\n\t\"github.com/gbox/gbox-sdk-go\"\n)\n\nfunc main() {\n\tgboxSDK := gbox.NewGboxSDK(os.Getenv(\"GBOX_API_KEY\"))\n\n\tbox, err := gboxSDK.Create(context.Background(), gbox.CreateOptions{Type: \"linux\"})\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to create linux box: %v\", err)\n\t}\n\n\t// First, open some tabs\n\tfmt.Println(\"Opening tabs...\")\n\terr = box.Browser.OpenTab(context.Background(), \"https://gbox.ai\")\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to open tab: %v\", err)\n\t}\n\terr = box.Browser.OpenTab(context.Background(), \"https://gru.ai\")\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to open tab: %v\", err)\n\t}\n\terr = box.Browser.OpenTab(context.Background(), \"https://google.com\")\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to open tab: %v\", err)\n\t}\n\n\t// List tabs\n\ttabsResult, err := box.Browser.ListTabs(context.Background())\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to list browser tabs: %v\", err)\n\t}\n\n\tfmt.Printf(\"Found %d tabs\\n\", len(tabsResult))\n\n\t// Close first tab\n\ttargetTab := tabsResult[0]\n\terr = box.Browser.CloseTab(context.Background(), targetTab.Data.ID)\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to close tab: %v\", err)\n\t}\n\n\tfmt.Printf(\"Closed %s (%s)\\n\", targetTab.Data.Title, targetTab.Data.URL)\n}"
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        Enter your API Key in the format: Bearer <token>. Get it from
        https://gbox.ai

````